/*     Bed a menu-driven multi dataformat binary editor for Linux            */
/*     Copyright (C) 1998 Jaap Korthals Altes <jkaltes@cyberbrain.com>       */
/*                                                                           */
/*     This program is free software; you can redistribute it and/or modify  */
/*     it under the terms of the GNU General Public License as published by  */
/*     the Free Software Foundation; either version 2 of the License, or     */
/*     (at your option) any later version.                                   */
/*                                                                           */
/*     This program is distributed in the hope that it will be useful,       */
/*     but WITHOUT ANY WARRANTY; without even the implied warranty of        */
/*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         */
/*     GNU General Public License for more details.                          */
/*                                                                           */
/*     You should have received a copy of the GNU General Public License     */
/*     along with this program; if not, write to the Free Software           */
/*     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.             */
/* Fri Dec  8 22:14:27 2000                                                  */
/* To use this example plugin compile it                                     */
/*    make float.plug                                                        */
/*                                                                           */
/* and put the following in your configuration file (usually ~/.bedrc):      */
/* plugin THISDIR/float.plug                                                 */
/*                                                                           */
/* THISDIR should be the directory in which float.plug resides               */
/*                                                                           */
/* You can find the procedures toFloat etc                                   */
/* Under alt-o,d                                                             */
/* Later you can bind it to a key by putting something like the following    */
/* in your configuration file:                                               */
/*                                                                           */
/* keys 53 = toFloat                                                          */
/*                                                                           */
/* for 53 you can take what the utils/getch program returns when pressing    */
/* a key                                                                     */
/*                                                                           */
/*                                                                           */
/* Sat Jun 12 15:15:44 1999                                                  */

#ifdef GLOBAL
#include <stdio.h>
#include "../screenpart.h"
#include <limits.h>
#include <ctype.h>
class  char2 : public General {	
	public:	 char2 ( Editor *ed,int x1=0, int y1=0): General( ed, 1 ,256, 2 ,x1, y1,0)	{
	};	
		declareparent 
	int formal2bin(char *formal, unsigned char *bin, int len) {	
		bin[0]=formal[0];
		return 0;	
		}
	ScreenPart *newone(void) {return new char2(*this);}
	int bin2formal(unsigned char *bin, char *formal, int len) {	
		if(isprint(bin[0]))
			formal[0]=bin[0];	
		else
			formal[0]='.';
		return 0;	}	
	int isel(int ch) {return isprint(ch);}
	};
class  char2b : public General {	
	public:	 char2b ( Editor *ed,int x1=0, int y1=0): General( ed, 1 ,256, 2 ,x1, y1,0)	{
	};	
	declareparent 
	ScreenPart *newone(void) {return new char2b(*this);}
	int formal2bin(char *formal, unsigned char *bin, int len) {	
		bin[1]=formal[0];
		return 0;	
		}
	int bin2formal(unsigned char *bin, char *formal, int len) {	
		if(isprint(bin[1]))
			formal[0]=bin[1];	
		else
			formal[0]='.';
		return 0;	}	
	int isel(int ch) {return isprint(ch);}
	};

datatype(char2)
datatype(char2b)
parentd(ScreenPart,char2) 
parentd(ScreenPart,char2b) 
#endif



#ifdef EDITOR
/*
int Editor::CHAR2 (void) {
	char2  *part=new  char2 ( this);
	if(installpart(part)==-1) {	
		delete part;	
		message("Adding " "char2" " failt");	
		return -1;	
		}	
	return 0;	
	}  
int Editor::CHAR2b (void) {
	char2b  *part=new  char2b ( this);
	if(installpart(part)==-1) {	
		delete part;	
		message("Adding " "char2b" " failt");	
		return -1;	
		}	
	return 0;	
	}  
*/
#endif

//call(CHAR2)
//call(CHAR2b)
